libname cstmfmts ' D:\basics\data';

* sort the data in any order you want;
* copy the output to a new loation;
Proc sort data=sashelp.cars out= cstmfmts.cars_sorted;
  by horsepower enginesize;
  run;

* add a numeric key that represents the sort order;
* _n_ will have the value 1 for the first row, 2 for the second row and so on;
data cstmfmts.cars_sorted;
  set cstmfmts.cars_sorted;
  sortedmodel = _n_; 
  run;

* create a dataset to serve as input to procformat;
data fmtds (keep=fmtname start label);
  set cstmfmts.cars_sorted;
  start = sortedmodel;
  label = model;
  fmtname = "modelfmt";
  run;

*create the format in the designated format folder;
proc format cntlin=fmtds library=cstmfmts;
  run;

*make custom format available in format search path;
options insert=(fmtsearch=(cstmfmts));

*Apply format to the source dataset before loading to VA;
Proc datasets library=cstmfmts; /* put the name of the library where AE data set resides*/
   modify cars_sorted;
      format sortedmodel Modelfmt.;
   run;
quit;
